FreeBSD : FreeBSD -- errors handling corrupt compress file in compress(1) and gzip(1) (fee94342-4638-11e1-9f47-00e0815b8da8)

This script is Copyright (C) 2012-2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

The code used to decompress a file created by compress(1) does not do
sufficient boundary checks on compressed code words, allowing
reference beyond the decompression table, which may result in a stack
overflow or an infinite loop when the decompressor encounters a
corrupted file.

See also :

http://www.nessus.org/u?3ca1f64f

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 6.9
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 57743 ()

Bugtraq ID: 49124

CVE ID: CVE-2011-2895

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now